質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.01%

postgresql を起動できません

受付中

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 770

kitt

score 4

Postgresql を起動する為に、下記のコマンドを打ったところ、エラーが出てしまいます。

$ postgres -D /usr/local/var/postgres

下記がエラーです。
postgres: could not access the server configuration file "/usr/local/var/postgres/postgresql.conf": Permission denied

データベースへのアクセス権限がないようなのですが、以前は問題なくアクセスでき、
テーブルも作成していたので、なぜ起動出来ないのか理由が分かりません。
起動が出来ないので、これまでに作成したデータベースの中身がコマンドで
見られない状況です。

初歩的な質問で申し訳ありません。

【追記】
postgresql.confを開けて編集しようとしましたが、
中身は空でした。
また、
ls: /usr/local/var/postgres/postgresql.con
とコマンドに打つと、
ls: /usr/local/var/postgres/postgresql.conf: Permission denied
と、エラーが出てしまいます。

【バージョン】
MacOS
Postgresql 10.5

【インストール】
Homebrewで
$ brew install postgresqlでインストールしました。

【再インストールの状況】
(1)アンインストール
$brew uninstall postgresql

(2)再インストール
$ brew install postgresql
touch: /usr/local/Homebrew/.git/FETCH_HEAD: Permission denied
touch: /usr/local/Homebrew/Library/Taps/homebrew/homebrew-core/.git/FETCH_HEAD: Permission denied
touch: /usr/local/Homebrew/Library/Taps/homebrew/homebrew-services/.git/FETCH_HEAD: Permission denied
fatal: Unable to create '/usr/local/Homebrew/.git/index.lock': Permission denied
fatal: Unable to create '/usr/local/Homebrew/.git/index.lock': Permission denied
error: could not lock config file .git/config: Permission denied
Error: postgresql 10.5 is already installed
To upgrade to 11.1, run brew upgrade postgresql

(3)バージョンの確認
$ psql --version
-bash: psql: command not found
と出てしまう。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • m6u

    2019/01/04 09:49

    PostgreSQLを起動しようとしているOSは何で、(念の為)PostgreSQLのバージョンはなにか、くらいは添えてほしいものです。何かを参考にして設定しようとしているなら、参考情報も。

    キャンセル

  • CHERRY

    2019/01/04 12:36

    どうやって PostgreSQL をインストールしたかも書いていただければと思います。
    (ディレクトリから推測すると macOS + Homebrew かなぁと思えるのですが...)

    キャンセル

  • kitt

    2019/01/06 16:03

    m6u様 CHERRY様
    お返事遅れ、申し訳ございません。
    バージョン情報等を追記しました。仰る通り、macOSでHomebrewを使っています。また、postgreは10.5です。

    キャンセル

回答 1

0

まず、コマンド実行しているアカウント名は何でしょうか?
postgres が起動できるアカウントで実行しているか確認しましょう。

次に、root 権限で ls -l  /usr/local/var/postgres 等でエラーが関連していそうなあたりのパーミッションを確認し、パーミッションがおかしければ正しく設定し直しましょう。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.01%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る